////////////////////////////////////////////////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////s           www.testbench.in           s////
////s                                      s////
////s             UVM Tutorial             s////
////s           gopi@testbenh.in           s////
////s~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~s////
////////////////////////////////////////////////

class seq_mul extends uvm_sequence #(instruction);

  integer num_inst = 4;
  instruction req;

    `uvm_sequence_utils_begin(seq_mul,instruction_sequencer)    
    `uvm_field_int(num_inst, UVM_ALL_ON)
    `uvm_sequence_utils_end
  
  function new(string name="seq_mul");
    super.new(name);
  endfunction
  

  virtual task body();
       void'(p_sequencer.get_config_int("num_inst",num_inst));
       uvm_report_info(get_full_name(),$psprintf("Num of transactions %d",num_inst),UVM_LOW);
      repeat(num_inst) begin
         `uvm_do_with(req, { inst == MUL; });
      end
  endtask
  
endclass 

